// fltk_theme.cxx

#include <config.h>
#include <fltk/Style.h>
#include <fltk/fltk_theme.h>

/*! \fn bool fltk_theme();

  This is the default value of fltk::theme_ptr(). [Or not.. never ran. -rs]

  This is declared as a "C" function to allow it to be replaced with
  a function from a loaded plugin. If you are statically linking fltk
  you can also setting the fltk_theme_ptr with your own fltk_theme()
  function in your own code.

  <b>Unix/Linux/X11:</b>

  Does not do anything. Previous versions of FLTK 2.0 tried to read
  the KDE setup but this has not worked recently and sometimes
  produces weird results. FLTK does not bother looking at xrdb
  databases. In any case, if any standard appears it can be
  implemented here.

  <b>Windows:</b>

  On Windows it will read colors and fonts using GetSysColor() and
  SystemParametersInfo(). FLTK will call fltk::reload_theme() when a
  WM_SYSCOLORCHANGE, WM_DISPLAYCHANGE, or WM_SETTINGCHANGE event
  happens, even if you replace fltk_theme(), so your replacement
  should be prepared for this.

*/

#include <fltk/FL_API.h>

bool no_theme_present() {return false; /* true? */}

namespace fltk
{
  Theme fltk_theme_ptr = no_theme_present; // the c++ version is a jump ptr
  
  /// Returns a theme pointer or null for named theme.  If no extension, will
  /// assume <name>.theme, will search user's folders first, then global
  /// folders for named theme.  Someday. -rs
  Theme find_theme(char* name)
  {
    return 0;
  }

}
